Package com.datecs.fiscalprinter.SDK.model.UserLayerV1

# Class cmdReport

java.lang.Object
com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice
com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdReport

    public class cmdReport
    extends DatecsFiscalDevice

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `cmdReport.ReportSummary` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `cmdReport()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `PrintXreport​(cmdReport.ReportSummary reportSummary)` |
  `int` | `PrintZreport​(cmdReport.ReportSummary reportSummary)` |
  `void` | `ReportFMByDates​(boolean calcSHA1, boolean internalReport, java.lang.String startDate, java.lang.String endDate)` | Fiscal memory report by date
  `void` | `ReportFMByZReports​(java.lang.String startNum, java.lang.String endNum)` | Fiscal memory report by number of Z-report
  `void` | `ReportOperators()` | Report operators
  `void` | `ReportPLU​(java.lang.String reportType, java.lang.String fromPLU, java.lang.String toPLU, java.lang.String gropu)` | PLU report

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice

  `checkErrorCode, close, getConnectedECRV1, getConnectedModelV2, getConnectedPrinterV1, getCountryCode, getMaxDepartments, getMaxStockGroup, isCheckLastError, isConnectedDeviceV2, isConnectedECR, isConnectedPrinter, isEditItemPrice, isEditItemQTY, isFontSupported, isPaperCuttingDevice, setCheckLastError, setConnectedModel, setConnectedModel, setConnectedModel, setCountryCode`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### cmdReport

    public cmdReport()

- ## Method Details

  - ### PrintXreport

    public int PrintXreport​(cmdReport.ReportSummary reportSummary) throws java.lang.Exception
    Parameters:
      `reportSummary` - Total sum accumulated by TAX group X - fiscal operations ( 0.00...9999999.99 or 0...999999999 depending dec point position )
    Returns:
      Number of Z-report (1...1825 or 3650);
    Throws:
      `java.lang.Exception`

  - ### PrintZreport

    public int PrintZreport​(cmdReport.ReportSummary reportSummary) throws java.lang.Exception
    Parameters:
      `reportSummary` - Total sum accumulated by TAX group X - fiscal operations ( 0.00...9999999.99 or 0...999999999 depending dec point position )
    Returns:
      Fiscal record number - 4 bytes.*

      totalByTaxGroup[0..7] TotX The sums in each tax group 'A', 'B', 'B', ... - 12 bytes with a sign. totalByTaxGroup[8] - FM_Total The sum of all sales excluding VAT - 12 bytes with a sign

    Throws:
      `java.lang.Exception`

  - ### ReportFMByDates

    public void ReportFMByDates​(boolean calcSHA1, boolean internalReport, java.lang.String startDate, java.lang.String endDate) throws java.lang.Exception
    Fiscal memory report by date
    Parameters:
      `startDate` - - Start date. Default: Date of fiscalization ( format DDMMYY );
      `endDate` - - End date. Default: Current date ( format DDMMYY);
    Throws:
      `java.lang.Exception`

  - ### ReportFMByZReports

    public void ReportFMByZReports​(java.lang.String startNum, java.lang.String endNum) throws java.lang.Exception
    Fiscal memory report by number of Z-report
    Parameters:
      `startNum` - - First block in the report. Default: 1;
      `endNum` - - Last block in the report. Default: number of last Z report;
    Throws:
      `java.lang.Exception`

  - ### ReportOperators

    public void ReportOperators() throws java.lang.Exception
    Report operators
    Throws:
      `java.lang.Exception`

  - ### ReportPLU

    public void ReportPLU​(java.lang.String reportType, java.lang.String fromPLU, java.lang.String toPLU, java.lang.String gropu) throws java.lang.Exception
    PLU report
    Parameters:
      `fromPLU` - - First PLU in the report (1...999999999). Default: 1;
      `toPLU` - - Last PLU in the report (1...999999999). Default: Maximum PLU in the FPr;
      `reportType` - - Type of report; o 'S' - PLU with turnovers; o 'P' - All PLU;
    Throws:
      `java.lang.Exception`